<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: G4ScintillatorTile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>G4ScintillatorTile Class Reference</h1><!-- doxytag: class="G4ScintillatorTile" -->
<p>a class generating the materials, volumes, and optical properties needed for a scintillator tile and allows to access them.  
</p>

<p><a href="classG4ScintillatorTile-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a572b9ec88a345e4756f905cd8e182ed5">G4ScintillatorTile</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_properties_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_properties_file, G4bool constructSensitiveDetector, G4bool searchOverlaps, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, <a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *dataStorage, G4Transform3D replication_transf)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#acb9dd810796bfdadebdb406ef80b52fb">G4ScintillatorTile</a> (G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file, G4bool constructSensitiveDetector, G4bool searchOverlaps, <a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *propertyTools, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, <a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *dataStorage)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a8342b3b2821a70ca457184a6a3e17fb6">~G4ScintillatorTile</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a36d841fd94963848080aa2fd1b3f8aac">GetDimpleCentrePosition</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4double&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#ab2afc927cc44f732f71f11ac96e3b938">GetDimpleRadius</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a5b7af344f03614a7e4f66388290456eb">GetMotherVolume_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Box *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a17c1788387eb13008a347fdda407df6c">GetScintillator_basicSolidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4LogicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a79ff4ae1c54bd358babb30c265306ce4">GetScintillator_logicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a48099ef5c31e81dee00aed21b65f17e7">GetScintillator_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VSolid *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a61ca51f99cc5bae9359bdcc91e1cf1e4">GetScintillator_solidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4ThreeVector&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a349e0278f4c8c64ef0a4d316722547ff">GetScintillatorDimensions</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Material *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#ae4c5574f5972afc5b5f8a0149b04c691">GetScintillatorMaterial</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4String&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a59e1e3443f814f77ec19a2fa17086b4c">GetScintillatorName</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4OpticalSurface *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#afe14f10e7596c4f86599eebdb65beff3">GetScintillatorOpticalSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Transform3D&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#af1feba6a7b4bd458dcd856e1aa3d8e2b">GetScintillatorTransformation</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classScintillatorSensitiveDetector.html">ScintillatorSensitiveDetector</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a1f41eb8330bfacbeb61e6980408f654a">GetSensitiveDetector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Material *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a6b8ddd6e8b0959b338adb9645f4af161">GetTwinTileAirGapMaterial</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4LogicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#aba13101f97347792856298907d6efb09">GetTwinTileReflector_logicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4VPhysicalVolume *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a0142e0f287389d58128321b7fee347e5">GetTwinTileReflector_physicalVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Box *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#af0e321590d51f4e611e3bd441af9985f">GetTwinTileReflector_solidVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4Material *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#aa85545b87d08bc11f6bd92cc53c636ac">GetTwinTileReflectorMaterial</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4OpticalSurface *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a4e679da6b877c48b6e07d0c5c0f75fab">GetTwinTileReflectorOpticalSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a88490818268e8cac00f82dbf5ec87fa8">HasDimple</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a885d952bf325e0f3e2d5fba38d0d070b">HasSensitiveDetector</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">G4bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#aa2c3f553dfc7aed0a173f1963aca6a5b">IsTwinTile</a> ()</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a04759f7cbe7f31c92b32a1e0b7e934ab">ConstructScintiSurface</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#abe17737b41bf4ec51114cf720e4a8a26">ConstructScintiVolume</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#aa243f34cc62a2ac9453eab284410b4a7">DefineAirMaterialProperties</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#ab8afa1d53f0cec97885064a7ab3a60aa">DefineMaterials</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a32d65af7887eb2c902951d9a53710a0b">DefineScintillatorMaterialProperties</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a6d5df913462d44222941759be390793c">DefineSurfacesProperties</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classG4ScintillatorTile.html#a7f39783cad9fc67673aa688fdf23c067">DefineTwinTileMaterialProperties</a> ()</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="acb9dd810796bfdadebdb406ef80b52fb"></a><!-- doxytag: member="G4ScintillatorTile::G4ScintillatorTile" ref="acb9dd810796bfdadebdb406ef80b52fb" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_property_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_property_file, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, GODDeSS_DataStorage *dataStorage)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ScintillatorTile::G4ScintillatorTile </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>transf_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>reference_transformation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>cut_dimple</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>dimple_radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>dimple_centre_relative_to_scintillator_centre</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>twin_tile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>twin_tile_property_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>constructSensitiveDetector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceModel&nbsp;</td>
          <td class="paramname"> <em>surfaceModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceFinish&nbsp;</td>
          <td class="paramname"> <em>surfaceFinish</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *&nbsp;</td>
          <td class="paramname"> <em>dataStorage</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor to construct a scintillator tile:</p>
<ul>
<li>sets class variables to default values</li>
<li>loads the property file</li>
<li>sets the variables for the scintillator tile's placement (considering the transformation of the scintillator tile relative to the reference volume and the transformation of the reference volume relative to the mother volume)</li>
<li>creates materials (<a class="el" href="classG4ScintillatorTile.html#ab8afa1d53f0cec97885064a7ab3a60aa">DefineMaterials()</a>)</li>
<li>constructs the volumes (<a class="el" href="classG4ScintillatorTile.html#abe17737b41bf4ec51114cf720e4a8a26">ConstructScintiVolume()</a>) </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scintillator_dimensions</em>&nbsp;</td><td>dimensions of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scintillator_property_file</em>&nbsp;</td><td>path to the file containing the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s properties </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scintillator_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>s and different volumes of one <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>transf_relative_to_reference</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s transformation relative to the reference volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_volume</em>&nbsp;</td><td>reference volume relative to which the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> will be orientated (if 0, the mother volume is the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_transformation</em>&nbsp;</td><td>transformation between mother volume and reference volume's mother volume (necessary if the reference volume is located in a different volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>cut_dimple</em>&nbsp;</td><td>a dimple should be cut out out of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dimple_radius</em>&nbsp;</td><td>radius of the dimple </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dimple_centre_relative_to_scintillator_centre</em>&nbsp;</td><td>position of the dimple's centre relative to the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s centre </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>twin_tile</em>&nbsp;</td><td>the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> should be a twin tile ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>twin_tile_property_file</em>&nbsp;</td><td>path to the file containing the properties of the twin tile's reflective layer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>constructSensitiveDetector</em>&nbsp;</td><td>a sensitive detector should be constructed ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceModel</em>&nbsp;</td><td>model for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceFinish</em>&nbsp;</td><td>finish for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dataStorage</em>&nbsp;</td><td>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> that should be used </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a572b9ec88a345e4756f905cd8e182ed5"></a><!-- doxytag: member="G4ScintillatorTile::G4ScintillatorTile" ref="a572b9ec88a345e4756f905cd8e182ed5" args="(G4ThreeVector scintillator_dimensions, G4String scintillator_properties_file, G4VPhysicalVolume *mother_volume, G4String scintillator_name, G4Transform3D transf_relative_to_reference, G4VPhysicalVolume *reference_volume, G4Transform3D reference_transformation, G4bool cut_dimple, G4double dimple_radius, G4ThreeVector dimple_centre_relative_to_scintillator_centre, G4bool twin_tile, G4String twin_tile_properties_file, G4bool constructSensitiveDetector, G4bool searchOverlaps, PropertyToolsManager *propertyTools, G4OpticalSurfaceModel surfaceModel, G4OpticalSurfaceFinish surfaceFinish, GODDeSS_DataStorage *dataStorage, G4Transform3D replication_transf)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ScintillatorTile::G4ScintillatorTile </td>
          <td>(</td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>scintillator_dimensions</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_properties_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>mother_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>scintillator_name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>transf_relative_to_reference</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicalVolume *&nbsp;</td>
          <td class="paramname"> <em>reference_volume</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>reference_transformation</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>cut_dimple</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4double&nbsp;</td>
          <td class="paramname"> <em>dimple_radius</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4ThreeVector&nbsp;</td>
          <td class="paramname"> <em>dimple_centre_relative_to_scintillator_centre</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>twin_tile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4String&nbsp;</td>
          <td class="paramname"> <em>twin_tile_properties_file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>constructSensitiveDetector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4bool&nbsp;</td>
          <td class="paramname"> <em>searchOverlaps</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classPropertyToolsManager.html">PropertyToolsManager</a> *&nbsp;</td>
          <td class="paramname"> <em>propertyTools</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceModel&nbsp;</td>
          <td class="paramname"> <em>surfaceModel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4OpticalSurfaceFinish&nbsp;</td>
          <td class="paramname"> <em>surfaceFinish</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classGODDeSS__DataStorage.html">GODDeSS_DataStorage</a> *&nbsp;</td>
          <td class="paramname"> <em>dataStorage</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4Transform3D&nbsp;</td>
          <td class="paramname"> <em>replication_transf</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor to construct replications of a scintillator tile:</p>
<ul>
<li>sets class variables to default values</li>
<li>loads the property file</li>
<li>sets the variables for the scintillator tile's placement (considering the transformation of the scintillator tile relative to the reference volume and the transformation of the reference volume relative to the mother volume)</li>
<li>creates materials (<a class="el" href="classG4ScintillatorTile.html#ab8afa1d53f0cec97885064a7ab3a60aa">DefineMaterials()</a>)</li>
<li>constructs the volumes (<a class="el" href="classG4ScintillatorTile.html#abe17737b41bf4ec51114cf720e4a8a26">ConstructScintiVolume()</a>) </li>
</ul>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>scintillator_dimensions</em>&nbsp;</td><td>dimensions of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scintillator_properties_file</em>&nbsp;</td><td>path to the file containing the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s properties </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>mother_volume</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s mother volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>scintillator_name</em>&nbsp;</td><td>name of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s volume (it will be extended to distinguish between different <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>s and different volumes of one <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>transf_relative_to_reference</em>&nbsp;</td><td><a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s transformation relative to the reference volume </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_volume</em>&nbsp;</td><td>reference volume relative to which the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> will be orientated (if 0, the mother volume is the reference volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>reference_transformation</em>&nbsp;</td><td>transformation between mother volume and reference volume's mother volume (necessary if the reference volume is located in a different volume) </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>cut_dimple</em>&nbsp;</td><td>a dimple should be cut out out of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dimple_radius</em>&nbsp;</td><td>radius of the dimple </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dimple_centre_relative_to_scintillator_centre</em>&nbsp;</td><td>position of the dimple's centre relative to the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s centre </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>twin_tile</em>&nbsp;</td><td>the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> should be a twin tile ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>twin_tile_properties_file</em>&nbsp;</td><td>path to the file containing the properties of the twin tile's reflective layer </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>constructSensitiveDetector</em>&nbsp;</td><td>a sensitive detector should be constructed ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>searchOverlaps</em>&nbsp;</td><td>Geant should search for overlaps when placing the physical volumes of <a class="el" href="classG4Fibre.html" title="a class generating the materials, volumes, and optical properties needed for a fibre...">G4Fibre</a>'s ("true" or "false") </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>propertyTools</em>&nbsp;</td><td>pointer to the <a class="el" href="classPropertyToolsManager.html" title="a class making the processing of the properties etc. much easier.">PropertyToolsManager</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceModel</em>&nbsp;</td><td>model for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>surfaceFinish</em>&nbsp;</td><td>finish for the optical surfaces </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>dataStorage</em>&nbsp;</td><td>pointer to the <a class="el" href="classGODDeSS__DataStorage.html" title="a class to save the data which was taken by the sensitive detectors">GODDeSS_DataStorage</a> that should be used </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>replication_transf</em>&nbsp;</td><td>transformation of each replication, relative to the previous one </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a8342b3b2821a70ca457184a6a3e17fb6"></a><!-- doxytag: member="G4ScintillatorTile::~G4ScintillatorTile" ref="a8342b3b2821a70ca457184a6a3e17fb6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ScintillatorTile::~G4ScintillatorTile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a04759f7cbe7f31c92b32a1e0b7e934ab"></a><!-- doxytag: member="G4ScintillatorTile::ConstructScintiSurface" ref="a04759f7cbe7f31c92b32a1e0b7e934ab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4ScintillatorTile::ConstructScintiSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct surfaces between different volumes and define their mechanical and optical properties (according to the specifications from the property file(s)). <br/>
 The following properties are defined:</p>
<ul>
<li>surface type ("dielectric_metal" or "dielectric_dielectric")</li>
<li>surface roughness</li>
<li>reflectivity (<a class="el" href="classG4ScintillatorTile.html#a6d5df913462d44222941759be390793c">DefineSurfacesProperties()</a>) </li>
</ul>

</div>
</div>
<a class="anchor" id="abe17737b41bf4ec51114cf720e4a8a26"></a><!-- doxytag: member="G4ScintillatorTile::ConstructScintiVolume" ref="abe17737b41bf4ec51114cf720e4a8a26" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4ScintillatorTile::ConstructScintiVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to construct all volumes and surfaces for scintillator tiles. </p>

</div>
</div>
<a class="anchor" id="aa243f34cc62a2ac9453eab284410b4a7"></a><!-- doxytag: member="G4ScintillatorTile::DefineAirMaterialProperties" ref="aa243f34cc62a2ac9453eab284410b4a7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4ScintillatorTile::DefineAirMaterialProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the following material properties of the air gap:</p>
<ul>
<li>refractive index spectrum </li>
</ul>

</div>
</div>
<a class="anchor" id="ab8afa1d53f0cec97885064a7ab3a60aa"></a><!-- doxytag: member="G4ScintillatorTile::DefineMaterials" ref="ab8afa1d53f0cec97885064a7ab3a60aa" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4ScintillatorTile::DefineMaterials </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define materials (compounds, alloys) and their properties:</p>
<ul>
<li>creates new materials according to the specifications from the property file(s)</li>
<li>if the same materials already exist, the newly created ones are deleted </li>
</ul>

</div>
</div>
<a class="anchor" id="a32d65af7887eb2c902951d9a53710a0b"></a><!-- doxytag: member="G4ScintillatorTile::DefineScintillatorMaterialProperties" ref="a32d65af7887eb2c902951d9a53710a0b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4ScintillatorTile::DefineScintillatorMaterialProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the following material properties of the scintillator (according to the specifications from the property file):</p>
<ul>
<li>refractive index spectrum</li>
<li>attenuation length / absorption spectrum</li>
<li>emmission spectrum</li>
<li>decay time</li>
<li>rise time</li>
<li>scintillation yield</li>
<li>ratio between the fast and the slow scintillation process</li>
<li>intrinsic resolution factor </li>
</ul>

</div>
</div>
<a class="anchor" id="a6d5df913462d44222941759be390793c"></a><!-- doxytag: member="G4ScintillatorTile::DefineSurfacesProperties" ref="a6d5df913462d44222941759be390793c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4ScintillatorTile::DefineSurfacesProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the optical properties of the reflective surfaces (according to the specifications from the property file(s)). <br/>
 The following properties are defined:</p>
<ul>
<li>reflectivity</li>
<li>fraction of reflection at the average surface</li>
<li>fraction of reflection at a micro facet surface</li>
<li>fraction of back scattering</li>
<li>fraction of internal (diffuse) Lambertian reflection </li>
</ul>

</div>
</div>
<a class="anchor" id="a7f39783cad9fc67673aa688fdf23c067"></a><!-- doxytag: member="G4ScintillatorTile::DefineTwinTileMaterialProperties" ref="a7f39783cad9fc67673aa688fdf23c067" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void G4ScintillatorTile::DefineTwinTileMaterialProperties </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to define the following material properties of the twin tile's reflective layer (according to the specifications from the property file):</p>
<ul>
<li>refractive index spectrum</li>
<li>attenuation length / absorption spectrum </li>
</ul>

</div>
</div>
<a class="anchor" id="a36d841fd94963848080aa2fd1b3f8aac"></a><!-- doxytag: member="G4ScintillatorTile::GetDimpleCentrePosition" ref="a36d841fd94963848080aa2fd1b3f8aac" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4ScintillatorTile::GetDimpleCentrePosition </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> has a dimple: </b> position of the dimple's centre relative to the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s centre </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="ab2afc927cc44f732f71f11ac96e3b938"></a><!-- doxytag: member="G4ScintillatorTile::GetDimpleRadius" ref="ab2afc927cc44f732f71f11ac96e3b938" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4double G4ScintillatorTile::GetDimpleRadius </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> has a dimple: </b> radius of the dimple </dd>
<dd>
<b> else: </b> NAN </dd></dl>

</div>
</div>
<a class="anchor" id="a5b7af344f03614a7e4f66388290456eb"></a><!-- doxytag: member="G4ScintillatorTile::GetMotherVolume_physicalVolume" ref="a5b7af344f03614a7e4f66388290456eb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4ScintillatorTile::GetMotherVolume_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s mother volume </dd></dl>

</div>
</div>
<a class="anchor" id="a17c1788387eb13008a347fdda407df6c"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillator_basicSolidVolume" ref="a17c1788387eb13008a347fdda407df6c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Box* G4ScintillatorTile::GetScintillator_basicSolidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the basic solid volume of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>, i.e. the solid volume before the dimple has been cut of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a79ff4ae1c54bd358babb30c265306ce4"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillator_logicalVolume" ref="a79ff4ae1c54bd358babb30c265306ce4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4LogicalVolume* G4ScintillatorTile::GetScintillator_logicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the logical volume of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a48099ef5c31e81dee00aed21b65f17e7"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillator_physicalVolume" ref="a48099ef5c31e81dee00aed21b65f17e7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4ScintillatorTile::GetScintillator_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the physical volume of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a61ca51f99cc5bae9359bdcc91e1cf1e4"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillator_solidVolume" ref="a61ca51f99cc5bae9359bdcc91e1cf1e4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VSolid* G4ScintillatorTile::GetScintillator_solidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the solid volume of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> </dd></dl>

</div>
</div>
<a class="anchor" id="a349e0278f4c8c64ef0a4d316722547ff"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillatorDimensions" ref="a349e0278f4c8c64ef0a4d316722547ff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4ThreeVector G4ScintillatorTile::GetScintillatorDimensions </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s dimensions </dd></dl>

</div>
</div>
<a class="anchor" id="ae4c5574f5972afc5b5f8a0149b04c691"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillatorMaterial" ref="ae4c5574f5972afc5b5f8a0149b04c691" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Material* G4ScintillatorTile::GetScintillatorMaterial </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the material of the scintillator </dd></dl>

</div>
</div>
<a class="anchor" id="a59e1e3443f814f77ec19a2fa17086b4c"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillatorName" ref="a59e1e3443f814f77ec19a2fa17086b4c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4String G4ScintillatorTile::GetScintillatorName </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a>'s name </dd></dl>

</div>
</div>
<a class="anchor" id="afe14f10e7596c4f86599eebdb65beff3"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillatorOpticalSurface" ref="afe14f10e7596c4f86599eebdb65beff3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalSurface* G4ScintillatorTile::GetScintillatorOpticalSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the optical surface of the scintillator </dd></dl>

</div>
</div>
<a class="anchor" id="af1feba6a7b4bd458dcd856e1aa3d8e2b"></a><!-- doxytag: member="G4ScintillatorTile::GetScintillatorTransformation" ref="af1feba6a7b4bd458dcd856e1aa3d8e2b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Transform3D G4ScintillatorTile::GetScintillatorTransformation </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>the transformation of the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> inside the mother volume </dd></dl>

</div>
</div>
<a class="anchor" id="a1f41eb8330bfacbeb61e6980408f654a"></a><!-- doxytag: member="G4ScintillatorTile::GetSensitiveDetector" ref="a1f41eb8330bfacbeb61e6980408f654a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classScintillatorSensitiveDetector.html">ScintillatorSensitiveDetector</a>* G4ScintillatorTile::GetSensitiveDetector </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>pointer to the sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="a6b8ddd6e8b0959b338adb9645f4af161"></a><!-- doxytag: member="G4ScintillatorTile::GetTwinTileAirGapMaterial" ref="a6b8ddd6e8b0959b338adb9645f4af161" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Material* G4ScintillatorTile::GetTwinTileAirGapMaterial </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> is a twin tile: </b> pointer to the material of the twin tile's air gap </dd>
<dd>
<b> else: </b> 0 </dd></dl>

</div>
</div>
<a class="anchor" id="aba13101f97347792856298907d6efb09"></a><!-- doxytag: member="G4ScintillatorTile::GetTwinTileReflector_logicalVolume" ref="aba13101f97347792856298907d6efb09" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4LogicalVolume* G4ScintillatorTile::GetTwinTileReflector_logicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> is a twin tile: </b> pointer to the logical volume of the twin tile's reflective layer </dd>
<dd>
<b> else: </b> 0 </dd></dl>

</div>
</div>
<a class="anchor" id="a0142e0f287389d58128321b7fee347e5"></a><!-- doxytag: member="G4ScintillatorTile::GetTwinTileReflector_physicalVolume" ref="a0142e0f287389d58128321b7fee347e5" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4VPhysicalVolume* G4ScintillatorTile::GetTwinTileReflector_physicalVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> is a twin tile: </b> pointer to the physical volume of the twin tile's reflective layer </dd>
<dd>
<b> else: </b> 0 </dd></dl>

</div>
</div>
<a class="anchor" id="af0e321590d51f4e611e3bd441af9985f"></a><!-- doxytag: member="G4ScintillatorTile::GetTwinTileReflector_solidVolume" ref="af0e321590d51f4e611e3bd441af9985f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Box* G4ScintillatorTile::GetTwinTileReflector_solidVolume </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> is a twin tile: </b> pointer to the solid volume of the twin tile's reflective layer </dd>
<dd>
<b> else: </b> 0 </dd></dl>

</div>
</div>
<a class="anchor" id="aa85545b87d08bc11f6bd92cc53c636ac"></a><!-- doxytag: member="G4ScintillatorTile::GetTwinTileReflectorMaterial" ref="aa85545b87d08bc11f6bd92cc53c636ac" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4Material* G4ScintillatorTile::GetTwinTileReflectorMaterial </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> is a twin tile: </b> pointer to the material of the twin tile's reflective layer </dd>
<dd>
<b> else: </b> 0 </dd></dl>

</div>
</div>
<a class="anchor" id="a4e679da6b877c48b6e07d0c5c0f75fab"></a><!-- doxytag: member="G4ScintillatorTile::GetTwinTileReflectorOpticalSurface" ref="a4e679da6b877c48b6e07d0c5c0f75fab" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4OpticalSurface* G4ScintillatorTile::GetTwinTileReflectorOpticalSurface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd><b> if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> is a twin tile: </b> pointer to the optical surface of the twin tile's reflective layer </dd>
<dd>
<b> else: </b> 0 </dd></dl>

</div>
</div>
<a class="anchor" id="a88490818268e8cac00f82dbf5ec87fa8"></a><!-- doxytag: member="G4ScintillatorTile::HasDimple" ref="a88490818268e8cac00f82dbf5ec87fa8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool G4ScintillatorTile::HasDimple </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> has a dimple </dd></dl>

</div>
</div>
<a class="anchor" id="a885d952bf325e0f3e2d5fba38d0d070b"></a><!-- doxytag: member="G4ScintillatorTile::HasSensitiveDetector" ref="a885d952bf325e0f3e2d5fba38d0d070b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool G4ScintillatorTile::HasSensitiveDetector </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> has a sensitive detector </dd></dl>

</div>
</div>
<a class="anchor" id="aa2c3f553dfc7aed0a173f1963aca6a5b"></a><!-- doxytag: member="G4ScintillatorTile::IsTwinTile" ref="aa2c3f553dfc7aed0a173f1963aca6a5b" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">G4bool G4ScintillatorTile::IsTwinTile </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<dl class="return"><dt><b>Returns:</b></dt><dd>G4bool, if the <a class="el" href="classG4ScintillatorTile.html" title="a class generating the materials, volumes, and optical properties needed for a scintillator...">G4ScintillatorTile</a> is a twin tile </dd></dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 22 Jul 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
